Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.drm.model
Class Service

    java.lang.Object
      org.deegree.security.drm.model.SecurableObject
          org.deegree.security.drm.model.Service

    public class Service

extends SecurableObject

`Service`

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.security.drm.model.SecurableObject
`name, registry`

Constructor Summary
`Service(int id, String address, String title, List<StringPair> objects, String type)`

Method Summary
`String` | `getAddress()`
`int` | `getId()`
`List<StringPair>` | `getObjects()`
`String` | `getServiceTitle()`
`String` | `getServiceType()`
`String` | `toString()` Returns a `String` representation of this object.

Methods inherited from class org.deegree.security.drm.model.SecurableObject
`equals, getID, getName, getTitle, getType, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Service

    public Service(int id,
                   String address,
                   String title,
                   List<StringPair> objects,
                   String type)

Parameters:
  `id` -
  `address` -
  `title` -
  `objects` -
  `type` -

Method Detail

### getAddress

    public String getAddress()

  Returns:
    the address

### getServiceTitle

    public String getServiceTitle()

  Returns:
    the title

### getObjects

    public List<StringPair> getObjects()

  Returns:
    the objects of the service

### getId

    public int getId()

  Returns:
    the db id

### getServiceType

    public String getServiceType()

  Returns:
    the service type (WMS/WFS)

### toString

    public String toString()

  Description copied from class: `SecurableObject`
  Returns a `String` representation of this object.

  Overrides:
    `toString` in class `SecurableObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org